/**
 * Type1Parser encapsulate the needed code for parsing a Type1 font program.
 * Some of its logic depends on the Type2 charstrings structure.
 * NOTE: This doesn't really parse the font since that would require evaluation
 *       of PostScript, but it is possible in most cases to extract what we need
 *       without a full parse.
 */
export class Type1Parser {
    constructor(stream: any, encrypted: any, seacAnalysisEnabled: any);
    seacAnalysisEnabled: boolean;
    stream: any;
    readNumberArray(): number[];
    readNumber(): number;
    readInt(): number;
    readBoolean(): 0 | 1;
    nextChar(): any;
    currentChar: any;
    prevChar(): any;
    getToken(): string | null;
    readCharStrings(bytes: any, lenIV: any): any;
    extractFontProgram(properties: any): {
        subrs: never[];
        charstrings: never[];
        properties: {
            privateData: any;
        };
    };
    extractFontHeader(properties: any): void;
}
